Page MenuHomePhabricator

Clean up stale remote branches
Open, WishlistPublic

Description

Unmerged topic branches sorted by last commit date

edit: Use script below for an up-to-date list of unmerged branches.

Unmerged personal branches sorted by last commit date

edit: Use script below for an up-to-date list of unmerged branches.

Related Objects

Mentioned Here
T1: testbug1
T1447: Picking of DataTreeNodes via vtkPropPicker
T1488: set standard views module zoom as global mitk option
T3104: ImageStatistics module should calculate histogram in a background thread
T3199: Added stringVectorProperty for showing labels for each point of the PointSet
T3252: Interactors
T3345: Surface mesh opacity problems
T3441: Paint function of the Segmentation bundle is not working well on 2D data
T5050: Bug in mitk::Image::GetVtkImageData(), Origin is wrong
T5286: Python wrapping for MITK classes
T5500: Facilitate convinient interacion with surfaces in 3D
T6417: Allow contouring for rotated slices
T6505: If setting a cloned geometry for an image via SetClonedGeometry(Geometry) the cloned Geometry can be slightly different from the original one
T6560: Crash when deleting the segmentation that is worked on
T7023: Solid angle qball reconstruction crashes
T7032: Installer support for external projects broken
T7035: It should be possible to define compiler flags for all dependencies
T7079: mitkExtractImageFilter shifts the coronal plane for one slice
T7100: Adapt list of file-extensions to new diffusion imaging writer capabilities
T7137: Windows installers for Andi and Lars
T7441: Enable editing of PlanarPolygon
T7534: Region growing fails in Coronal window
T7737: Add method to calculate interpolation weights for odf direction
T8000: GIPL image file format unsuitable for multiple component images
T8001: linux installer generation is not working
T8092: Cannot save RGB images in specific formats
T8123: Add simple style to TrackingDeviceConfigurationWidget
T8165: Improve performance of ImageVtkMapper2D
T8172: Integrate Ascension Tracking Devices into Bundle TrackingToolbox
T8215: Document planar figure properties
T8259: Use the CTK plugin framework
T8334: integrate ctkapplication launcher into mitk
T8356: Allow camera visualization for multiple NavigationDatas
T8458: Crash in ToFTutorial Step1
T8492: Create AccessByItk macro which takes a pixel type list
T8535: Drag/Drop Scene Files
T8579: Enable picking of fibers
T8582: ImageDiffusionApp has wrong dependency
T8587: Remove ifdefs from mitk::ImageWriter::GenerateData() method
T8659: Add tool timestamp to CSV logging of NavigationDataRecorder
T8664: Implement ClippedSurfaceBoundsCalculator
T8677: Increase scrolling speed for DisplayVectorInteractorScroll
T8684: Make a tree out of the property table
T8753: Avoid entanglement of global static objects and singletons
T8764: The NDIConfigurationWidget fails when connecting
T8790: MITK scene files do not appear in list "known extensions"
T8802: Scrolling direction should be inverted
T8824: move mitkFiberBundleMapper2D opensource
T8896: Improve test of mitkNavigationToolStorageSerializer
T8903: TrackingToolbox crashes if AutoDetection is used twice
T8910: META BUG Geometry Cleanup
T8933: Enhance mitkFiberBundle DataStructure
T8953: Enhance StateMachine.xml for BinaryImageInteractor
T8957: Proof reading documentation of MITK Bundles
T8971: Change action ID from int to string
T8987: Change global tracking output to vtkPolyData
T9000: Tbss Image type
T9048: [2DRendering] new VTK rendering does not call Qt render
T9232: PlanarFigure: for lines, crosses, etc. control points can be placed on top of each other
T9255: Allow loading of .nrrd and .pic.gz images in ToFConnectionWidget
T9258: IGT Tracking Lab - A plugin for IGT practice
T9265: Deformable Clipping Plane Plugin
T9279: ODF Details view is not working with DTI
T9285: Create a "package" test for MITK
T9302: Correct coordinate calculation in ToFProcessingCommon
T9318: Remove duplicated Code from mitkImageVtkMapper2d and mitExtractDirectedPlaneImageFilter
T9345: Remove changing view/widget properties from Activated/Deativated in ToFUtil
T9404: Implement DTI to QBI image filter
T9412: Allow GibbsTracking on dti data
T9423: Clean-up: executable bit removed from source files
T9432: RFD: Rendering not updated correctly when using several RenderWindows
T9481: intersection point can't be determined when PlaneGeometry and Image have the same geometry
T9537: Enhance PlanarCircle to enable possibility to set min and max radius for circle
T9551: Add statistics calculator for point set comparison
T9562: Remove deep copy from ImageVtkMapper2D
T9589: Flip Image Filter for Basicimageprocessing
T9596: MITK-DI Release Metabug
T9599: Planar Figure Mapper does not show any 3D planar figures any more
T9661: Planar Figure Mapper does not show any 3D planar figures any more
T9689: Check for misalignment of mask and image in the mitkImageStatisticsCalculator doesn't work for rotated geometries
T9721: RefitVisibleRect doesn't work properly with multiple mitkDisplayGeometries
T9727: NDITrackingDevice is smoothing tracking data
T9739: Discuss and create a new module for "ImageFilters"
T9791: FiberBundle memory not released
T9800: PlanarFigures should be configurable not to show control-points during interaction
T9809: Customize about dialogue
T9815: Warnings/errors when opening specific perspectives
T9821: Crash when starting Gibbs Tracking
T9823: Option regularized IVIM shows no plot
T9833: Improve screenshot and moviemaker usability
T9841: Deactivate 'Modules' button for DI-Release
T9901: odf details view
T9903: testing
T9909: Test Bug
T9910: Implement a simple ToF viewer
T9917: Adapt measurement (3m3) documentation for DI-Release
T9928: enable/disable 2D fiberfading
T9929: modify fiber slicing thickness using a slider
T9933: DI_ icon for DI enable/disable FiberFadingEfx in 2D
T9940: deactivate teem
T9952: DI Release tooltip, stochastic tracking
T9956: some targets can not be deactivated
T9968: Crash in ODF Details Widget
T9970: Crash in DI-Reconstruction
T9985: DI MITK working MAC installer branch
T10021: merge tbss changes from release bug into master
T10050: Integrate a CTK Plugin for DICOM support in MITK
T10102: mitkShaderLighting.xml can not be loaded when building ExtApp Installer
T10161: Implement automatic tests for rendering classes
T10248: Ensure proper rendering of "Inverted Black to White" lookup table
T10265: a vtk error occurs when a plane is rotated and the crosshair is moved
T10271: Use micro services instead of singletons in Core library
T10274: Screenshots in help pages do not fit the GUI
T10277: Create central IGT bundle
T10304: NavigationDataPlayer should support tool storages
T10323: Allow configuration of standard parameters in ToFCompositeFilterWidget
T10346: Create a module for the segmentation
T10452: Review FileWriter test
T10488: Pixel value on the status bar with segmentation
T10683: Build installer of IGTTracking for SPIE 2012
T10719: Implement the curved MPR for MITK
T10784: Double-click should always finish PlanarPolygon creation
T10795: Wrong line definition for intersection calculation in class mitkClippedSurfaceBoundsCalculator
T10825: Python wrapping does not work in MITK master
T10925: Make MITK compatible with ITK 4.0
T10945: [Dashboard] mitkProjectTemplateBuildTest and mitkProjectTemplatePackageTest fail on nightly dart clients
T10980: Enhance vessel trees
T11021: Parallelize DistanceImageToSurfaceFilter
T11022: implement further diffusion image processing mechanisms
T11032: Control-Points are drawn 'under' the planarFigure
T11106: Reformatting of Tilted Gantry series in DICOMSeriesReader
T11113: MITK doesn't visualize normalized and thus very small meshes in the expected way.
T11114: The MITK usage scenarios should be more clearly stated in the documentation
T11144: Crash in PlanarFigureInteractor if the figure is not correctly initialized
T11152: False presentation of Q-Balls
T11176: Planar Figure Interaction causes application crash
T11180: Module loading tests should force test modules to be built
T11210: MITK XCode compatibility
T11218: Boolean View of segmentation should be able to work in images with different dimension
T11239: mitkDisplayInteractor should be more configurable
T11281: mitkNrrdTbssImageReader test
T11354: Exception handling for MITK: exception base classes and documentation how to use them
T11399: TEST: mitkFiberBundleX
T11459: TEST: itkGibbsTrackingFilter
T11463: Changes in pinhole camera model
T11477: brain.mhd dataset and reinit
T11511: DisplayVectorInteractorScroll should not check ButtonState
T11532: Fiber bundle color can not be changed
T11619: Adapt NaviBronchoSuite for the clinical trial
T11635: Improve test of class NavigationDataRecorder
T11641: Connectomics: divide in modules
T11655: Quantification: measurement does not work or even crash
T11658: Preprocessing: teem reconstruction should be removed
T11663: MITK Diffusion: missing perspective bar on mac
T11667: MITK Diffusion: check help pages
T11680: Masking option in Rigid Registration erroneous
T11694: [Customization] Display focus behaviour for Diffusion App
T11727: Long filenames in DataManager
T11779: change input data gui for non diffusion views
T11795: move residual calculation invisible
T11800: QmitkOverlayController: Container widgets are visible after call of AddOverlay()
T11806: PlanarFigure Nodes created by MeasurementView are not added to Datastorage
T11821: Certain colors are not supported for images
T11825: Serial communication sends invalid data when tracking with Aurora components under Linux
T11831: Port all Diffusion views to inherit QmitkAbstractView
T11833: clean up tensor correction
T11834: Customize MITK Manual for mitkDiffusion 2012
T11836: ivim gui elements should be visible according to chosen method
T11839: remove numerical qball reconstruction from release
T11841: Remove documentation for functionality not included in MITK Diffusion 2012
T11848: select correct default entry for combo boxes in qbal reconstruction and ivim view
T11851: also qball reconstruction button should only be enabled if dwi is selected
T11882: Reintegrate US-Tests
T11906: DisplayVectorInteractorScroll invokes event too early and too often
T11925: Implement comparison functions for basic data-classes
T11953: Restructure MITK concept documentation
T12005: Some tests fail on Mac since boost lib is not found
T12048: Hidden segmentation bundle does not react to Datamanager changes, when it becomes activated
T12050: 2D interpolation contour proposals are colored grey
T12053: Undo/redo stack should not save all render window interactions
T12056: Replace "use color" property by a new "Image Rendering.Mode" property
T12068: Changing opacity or color of measurement objects does not show the desired effect
T12098: MES integration into MITK - Rendering
T12100: Use MicroServices for ToFHardware devices
T12129: ToF Endoscope Integration
T12135: refactor gibbs tracking
T12136: GCC 4.7 compatibility
T12152: Extend network statistics by filterable networks
T12154: Allow MITK_CREATE_MODULE to use FORCE_STATIC also with QT_MODULE
T12168: BinaryImageInteractor Statemachine does not work
T12215: Set Linear Interpolation for the default LuT
T12236: Typing error in a comments of MITK concepts
T12244: Change class structure of EnergyCalculator in Gibbs-Tracking.
T12252: Dwi open crashes if filename contains umlauts or special characters
T12263: mitkDicomSeriesReader improve sorting on tag[0020,0037] (Image Orientation) and tag[0020, 0032] (Image Position)
T12280: Safely invent missing expected DICOM tags when loading Secondary Capture images
T12302: Interactors, listeners and Tools compete for events -- multiple winners instead of one
T12337: Segmentation View still holds an reference to removed image
T12360: Integrate Serial interface of Amedo RFID Tracking Device to IGT
T12396: Integrate TCP/IP interface of Amedo RFID Tracking Device to IGT
T12404: DisplayVectorInteractorScroll checks buttonstate internally
T12407: Clean up includes of MITK core
T12408: Image clone method sets wrong geometry...
T12480: Mask image option in segmentation postprocessing context menu
T12526: DisplayVectorInteractorScroll is missing a 'break' in the switch case
T12566: add tensor deflection to backward tracking of streamline filter
T12586: NodeRemoved event is emitted by data storage before node is actually removed
T12587: Clippingplane needs some improvement in usability
T12634: Typo in mitkSlicesRotator
T12642: Several DICOM datasets cannot be loaded correctly anymore
T12664: [Tutorial] Expand the MITK tutorial
T12666: [Tutorial] How to create a new data type
T12730: [Dashboard] mitkNavigationToolStorageSerializerAndDeserializerTest fails frequently
T12735: [Dashboard] mitkGibbsTrackingTest fails frequently
T12797: extract pixels by fiber tracking results
T12830: streamline tracking test
T12844: Use QmitkAbstractView as the super-class for QmitkSegmentationView
T12856: Support OpenCV 2.4.2 via superbuild
T12875: typename outside template
T12882: Fix doxygen warnings
T12888: SOFA Super Build Integration
T12932: ToFCameraMITKPlayer can't replay the RGB Images correctly when they have different dimensions
T12954: Initialize world goemetry when first datanode is added to datastorage
T12959: rename org.mitk.gui.qt.extapplication to org.mitk.gui.qt.workbenchapplication
T12969: Kinect-Camera does not work anymore
T13036: Crash in QmitkPropertyTreeModel
T13038: For at least one confirmed file, the otsu segmentation result is not added to the data manager.
T13051: Exceptions should be catched as "const reference" for better performance
T13056: Reduce Gradient Directions Filter adaptions
T13090: Fonts in the logging GUI are very Small on Mac
T13139: Property tree view
T13150: MITK crash when click outside 3D image, when 4D image is also loaded.
T13156: Disable 'Confirm Segmentation' button on default
T13161: Segmentation module causes crash on using wipe with 2d image
T13175: remove 19⁹ iterations from gibbs tracking
T13206: Create possibility to create binary segmentation from a set of PlanarFigures
T13240: FiberExtraction extract too many fibers
T13248: Cannot load Dicom Fluoroscopy Data into MITK
T13287: Error loading plain DICOM 2D images
T13307: segmentation view does not show diffusion images of any kind in the image selection combo box
T13351: Feature: Google Breakpad Crash Reporting
T13430: Setting up Histogram to JavaScript
T13440: Create new editor for visual verification of registration
T13475: Add new state machine for the interactions with tube graphs
T13506: Jumping to selected planar figure is not working any more
T13514: Improve segmentation selection behavior regarding usability
T13524: Loading of empty and corrupt files
T13526: Extend mitkImage so that vtkImage is also modified
T13543: OpenGL rendering broken when VTK renderwindow has viewport
T13553: General Code Cleanup
T13555: Gibb's Tracking cumulative stack resolution is too small
T13564: Relax DicomSeriesReader, verify its results more (support basic NM,CR,DX,SC files)
T13572: Port OpenCL Module to opensource MITK
T13592: [NaviBQS] Kinect IR Recordings dont work propably
T13607: Print errormessage in QmitkImageStatisticsView to the ErrorMessageLabel
T13664: Redesign of Interaction-Statemachine
T13690: Missing tests in Core\Code\Rendering
T13692: Missing Tests in Core
T13725: clean up MultiShellQballReconstructionFilter
T13746: fix std::complex bug
T13760: Remove umlauts from code
T13774: DICOM functionality in BlueBerry Custom Viewer Example is unavailable.
T13778: Measurement View is not synchronous to user interactions
T13779: Measurement view doesn't reset if image is deleted
T13853: Use mitk::IOUtil inside the examples and tutorials
T13931: Flip images provided by range cameras correctly
T13935: mitkImageAccessorTest_Pic3D.nrrd fails on dart clients
T13946: Allow CTK QtTesting for MITK
T13970: LevelWindow Option "use whole Image grayvalues" doesn't behave as expected
T13971: Volume visualisation tool tips
T13984: Filename is missing if you use Dicom manager to import data
T13990: On loading Files with Opacity=0,they get rendered as if Opacity=100
T13992: CreateDistanceImageFromSurfaceFilter does not work correctly on rotated MRI Images
T13997: Add initial DICOM Application Hosting support
T13999: Incorrect RegionGrowing behavior on 4D data
T14024: 3D regiongrowing is not working for binary images
T14044: Fast scrolling through slides using "shift"
T14080: Additional functionality in itkB0ImageExtractionToSeparateImageFilter
T14146: Mesa Flickerung bei Smooth ROIs
T14228: qShell weights
T14261: Document the Diffusion module splitting with doxygen
T14294: Remotebug for continous MES development base
T14306: [Dashboard] mitkImageGenerator test uses deprecated API
T14326: PlanarFigureInteractor triggers unnecessary events on interaction
T14383: [Dashboard] PMD Access lib is not installed correctly
T14386: Colormaps and look-up tables
T14442: InterpolationSegmentation uses too much memory
T14452: ExtractSliceFilter crashes on processing curved planes
T14534: Improve test of module SceneSerialization
T14544: ADC Avarage Filter
T14571: Rendering of SmoothROIs is too slow
T14582: Structured Disease Annotation in 3D
T14605: Statistics Bundle: No values when image and line is selected
T14629: LevelWindowManagerTest: Get/SetLevelWindow-Test ALWAYS succeeds
T14633: List of extensions retrieved incorrectly
T14636: Configure the CoreApp according to its specifications
T14639: Tensor reconstruction advanced b0 threshold should show affected voxels
T14641: Diffusion control area does not update on implicit selection change
T14652: Level window is nearly unusable if the image range is very small
T14658: Tensor reconstruction with correction reorients image
T14663: Create a simplified view for diffusion image registration
T14713: Rendering of images with multiple components per voxel leads to a crash
T14763: Move interpolation related classes from mitkEXT to new module
T14776: Porting of PointSetGLMapper2D to VTK
T14796: Allow seedsimage to draw two version of foreground
T14820: Brain Tumor Graph analysis
T14827: PlanarFigureInteractor should not handle event if data node is invisible
T14829: Disabling Display Interaction while other interactions are running
T14879: Many file names in the plugins documentation folders are not unique
T14881: OpenCL is not working under windows
T14884: Migration Guide to new Interaction Concept
T14888: [Dashboard] Clang warnings are often treated as errors on the dashboard
T14892: Redesign of Geometry
T14893: ResliceInterpolationProperty "cubic" has no effect
T14915: Provide possibility to load configs description directly from iostream
T14929: Unsafe type conversion in cell visitor.
T14930: Redesign Liver Operation Planning Software extern
T14944: Write tests for new Properties module and make it default
T14954: MITK fails to load PALETTE_COLOR image from GDCM-Data as color image (ITK4)
T14972: Very slow rendering of big surfaces
T15008: [SOFA] tinyxml is ambiguous
T15013: ExtractSliceFilter uses wrong geometry
T15015: DW image filter from DTI fails with ITKv4
T15018: ExtractImageFilter does not work
T15037: Inaccuracy in (Plane-)Geometry
T15047: Annotations may overwrite PlanarFigures
T15052: Update SOFA (official CMake support)
T15060: Create example for reslicing images using custom geometries
T15062: Faulty Image in Documentation of MITK Examples
T15091: PV Analysis Plugin ITK 4 Merging
T15096: BValueMapAdaption
T15104: Create Overlay framework for managing different types of graphic items in the renderwindows
T15163: Build errors mitkInteractionConstEvent
T15171: Segmentation redesign: Otsu 3D tool
T15172: 2D-Threshold Tools in Segmentation View
T15237: Kurtosis Least Squares Fit Filter
T15263: PointSet cloning method is not working properly
T15264: PointSet size is missleading
T15315: Implement Matrix multiplication using OpenCl
T15318: Multiple threshold otsu segmentation filter lacking in MITK.
T15325: Consecutive calls of Image::GetVolumeData() lead to undefined vtkImageData
T15369: MITK Crash if 3d interpolation is accepted without image
T15374: Migrating to QT5
T15386: Deformation of the clipping planes does not work
T15398: Visual Studio 2012 compatibility
T15407: have an ITK-based 2D region growing tool
T15428: Otsu default level window.
T15451: disable default fast clustering
T15452: 2D interpolation is broken since ITK 4 migration
T15460: save qbi lead to critical error
T15466: Move segmentation tool UI file from QmitkExt to separate module
T15472: Tensor reconstruction with negative eigen value correction works not as it should.
T15475: Mesh rendering problem on timestep > 0
T15486: Transformation of a geometry by a vtkMatrix
T15488: dropped node inserted at wrong position in the data manager
T15489: Remove deprecated CastToIpPicDescriptor from LegacyAdaptor
T15493: Remove deprectated mitk::Image::GetData
T15495: Remove deprecated GetPixelValueByIndex method from mitkImage
T15507: Get rid of deprecated image access calls in core/testing
T15508: remove deprecated mitk::Image::GetData () from QmitkSlicesInterpolator
T15510: remove deprecated mitk::Image::GetData () from mitkSurfaceToImageFilter
T15516: Get rid of deprecated image access calls in US module
T15524: Python superbuild fails
T15528: Integrate VMTK
T15539: DIPP branch containing fixes on top of MITK 2013.06
T15546: Adapt PlanarFigureInteractor to new interaction framework
T15554: Add a Reset() method to ProgressBarImplementation
T15577: MITK crashes when activating the fiberdevtools view
T15581: Remove GetPixelValueBy... from Diffusion Plugin
T15589: Confirm dialog for 3D segmentation tools
T15614: Repair and enhance 3D surface mapper
T15615: Integrate Telemed Ultrasound API into MITK-US
T15656: DIPP, disable not needed diffusion Views
T15667: Example-Implementation for interactors with undo capability (plus enabling such capabilities)
T15674: Provide possibility for automated evaluation of images statistics on rois
T15682: Improving FreeSurfer API
T15696: implement a multi-label segmentation functionality
T15700: Sort faster during DICOM loading
T15707: Pull out CppMicroServices from Core/Code and use base-class free version
T15741: Add vtkCellPointPicker to vtkPropRenderer
T15749: Compression should be configurable in mitkImageWriter
T15755: Make Diffusion Imaging warning-free
T15757: missing "this" pointer in templated class
T15758: [NaviBSQ] mitkCompositeFilterTest fails
T15763: ContourModel bundle
T15770: Multishell Signal Processing
T15777: New feature: Control the position and orientation of rendered slices with NavigationData
T15779: Description of LiveWire tool in UI
T15799: [Dashboard] All rendering tests are failing if compiled with Visual Studio 2012
T15801: Make property services available to the core
T15808: Store contours of segmentation tool
T15809: SOFA compiler errors related to vector_device
T15817: Add possibility to register 'Listeners' specific for one renderer
T15819: Create DicomRT module for reader/writer/mapper of DicomRT files
T15825: Adding new Tracking Volume for NDI Polaris Spectra
T15830: Improve usability of measurement bundle and figure interaction
T15835: MITK Plugin for Edu App
T15849: Make MITK compatible with VTK 6.0
T15851: Create user manual for clipping plane view
T15852: platformproject: enable easy conversion of datatypes Point/Vector/Matrix from and to MITK
T15856: cannot select the center control point in planar circle figure
T15860: Otsu 3D tool: Volume rendering checkbox does not work
T15864: Add support for itk::RGBPixel with floats in CastToItk Macro
T15882: make easier to rename a node in datamanager
T15886: Migrate new data structure for vessel structures in MITK
T15887: Add vector of B-Values of image stack to mitk::DiffusionImages
T15897: Improve mitk::Transform and test
T15898: Second version of mitk::ImageWriter::SetExtension() sets filename
T15937: IGT Improvement and Bug Fixing
T15949: Create tests for loading/writing of networks and network creation
T15962: Move code related to interfacing the NDI tracking devices to a common NDIInterface
T15963: IGT Improvement and Bug Fixing (2nd Try)
T15978: IGTHackfest1 - Fixing and enhancing Tutorial Step 2 and TrackingLab
T15991: Refactor mitkSurfaceTest
T16004: Implement a controller for Segmentation module.
T16006: Implement a container for ContourModel objects.
T16010: Update example documentation file
T16018: Remove otsu entry from datamanagers context menu
T16021: Deactivate fast marching tools after confirming segmentation
T16033: osx installer includes unnecessary folders
T16063: 2D segmentation is buggy if there is more than one CT image
T16086: Livewire tool gui needs improvement
T16107: Crash when deselection of a segmentation node if the segmentation gui is closed
T16115: Geometry of PointSet inconsistent and not considered in PointSetWriter
T16118: Philips 3D Ultrasound DICOMs have wrong spacing
T16151: Unify data selection options
T16156: random crash when creating clipping plane
T16185: image cropper plugin does not allow for reusing the bounding object on a new selected image
T16188: tbss plot crashes
T16202: Default File format is not .nrrd
T16215: PointBasedRegistrationView does not recognize all Data selection changes
T16235: Redesign SOFA integration
T16236: Enhance mitkImageStatisticsCalculator with hotspot search
T16240: Improving mitkImageWriterTest
T16267: Implementation of a NLMr filter
T16289: Clipping plane: wrong label numbers after deleting a previous clipping plane/data node
T16302: ContourModel API improvements
T16305: Create a Combined Modality of ultrasound device and tracking device
T16310: Compilation of DicomSeriesReader takes too much memory
T16324: Provide more sophisticate Equal method for floating point values
T16328: TinyXML: writing out double value seems to be buggy.
T16342: Cannot load certain GE Dicom files
T16360: mitkGibbsTrackingTest doesn't work after ScalarType was set from float to double.
T16382: mitkPointSet interface lacks convenient last inserted element access.
T16387: MD Values calculation is wrong
T16396: Implement ITK class for generating 3D images defined by multiple Gauss functions
T16420: Integration of Vigra into MITK
T16435: Fiberfox: kspace image filter to gpu
T16442: Move the itk::ElectrostaticRepulsionDiffusionGradientReductionFilter to DiffusionCore
T16449: PlanarFigure not always editable when rendered
T16456: Exception in PlanarFigure-Interpolation-Segmentation
T16461: Morphological operators non operational.
T16468: Saving a ToolStorage file does not add proper file ending in Linux
T16478: Enable GPU acceleration for the non local means filter
T16501: Fixing TensorReconstruction and FWE
T16504: Add Optitrack Device to MITK Tracking Devices
T16505: mitkFunctionInstallAutoLoadModules does not install dependencies
T16570: Kinect 2 Integration
T16606: CTK Libraries not propagated correctly for 'package' target
T16611: Coronal is called Frontal in Segmentation View
T16613: Create Polygon Model does smooth
T16616: Statistics Plugin: "Copy to Clipboard" copies values in mixed german/english numbering style
T16625: PlanarCircle should be editable with each point on the circle
T16643: Persistence framework for MITK
T16647: Interaction Undo-Redo Integration
T16651: Migration of Interactors
T16654: mitk::CastToItkImage crashes with empty image data
T16661: Planar figure composite reader/writer is missing
T16675: ipPic and ipFunc are always built
T16680: Fiberfox: unblock GUI while simulating
T16681: Rewrite CoordinateSupplier to EventObserver
T16687: Tool tests using Interaction Testing Framework
T16692: mitkPadImageFilter is not templated
T16693: Improve performance of interaction framework
T16725: DIPP, branch containing extensions on top of MITK 2013.12
T16744: Refactoring of DicomSeriesReader
T16746: Proper transparency in MITK
T16747: New sampling concept for image mapper
T16763: Wrong check in QmitkDiffusionDICOMImport
T16765: Waiting for review: PlaneGeometryDataMapper2D unnecessarily requires a common parent node for each PlaneGeometryData
T16768: Test: itkRadialMultishellToSingleShellImageFilter
T16776: Pass selected Mac OS X SDK to subprojects
T16780: Enable WARNINGS_AS_ERRORS for modules
T16787: Generic test for image statistic calculation
T16808: fiberfox spike test fails
T16813: Refactoring of Dicom Loading in DiffusionImaging
T16814: enhance fiberfox signal generation test
T16828: Implementation of DWI denoising miniapp
T16871: Interaction Testing Framework
T16879: DiffusionImageEqual and TestSuite
T16897: Update VTK Version to VTK 6.1
T16926: Should be possible to build MITK statically
T16963: Update TimeGeometry-Test
T16971: Provide a mangement console for micro services
T16974: Tensor Reconstruction w/ Eigenvalue correction offset
T17035: Introduce new Geometry concept: BaseGeometry class, less inheritance, etc (Platform project)
T17082: Change PointSetTest to CppUnit test
T17121: Image statistics calculation - image and mask alignment too strict
T17181: [dashboard] mitkNavigationToolStorageSerializerAndDeserializerIntegrationTest fails randomly
T17184: Fiber Extraction view is not cleaning up properly when nodes are deleted
T17190: PlanarFigureInteractor unnecessarily uses property of PlanarFigure
T17196: DisplayInteractor should support more configuration
T17203: Add function for setting the event notification policy to the tool manager
T17276: Crash in PlanarFigureSegmentationController
T17310: Method CreateTemporaryDirectory() of mitk::IOUtil returns strange path names
T17341: FillContourInSlice is buggy for LiveWireTool
T17365: PlanarFigureMapper causes flickering when using MESA OpenGL implementation
T17410: Play Data while recording and fix dimension of playing data
T17423: Set minimum CMake version to 2.8.8
T17434: 3D interpolation produces strange results depending on image spacing
T17453: PlanarFigure statemachine behaves badly when opening a contextmenu
T17481: Crash in ClippingTools
T17507: Improve UI design and usability of ultrasound plugin
T17512: mitkExtractImageFilter is not working correctly for reconstructed images
T17536: Clean up QtWidgetsExt
T17538: CastToItk behavior is inconsistent
T17589: Current OpenCV Superbuild Version (2.4.6.2) fails to build on Visual Studio 2013
T17613: GrabItkImageMemory can cause memory flaws
T17639: Make provisioning and launching the application framework independent
T17651: Fill/Erase tools ignore all left- and downmost pixels
T17668: Live Wire Tool: Various flaws
T17697: DIPP, branch containing extensions on top of MITK 2014.03
T17698: Restrict interaction with ODF Render Widget
T17715: Disable non-local means test
T17716: VTK garbage collection fix for OSX 10.9 and XCode 5.1.1
T17738: Alternative projections for thick slice mode
T17749: US images are visualized in black and white (wrong level window)
T17752: Change handling of image-border in thick-slice mode
T17784: About the maus Event for Ashvins 3D and the example QtFreeRender
T17787: Most 3D Segmentation-Tools cause Crash when applied on 2D Image
T17797: LiveWire does not work as expected
T17800: Depends: Remove VolumeDataVtkMapper3D
T17808: Memory leak and double free in QmitkToolTrackingStatusWidget
T17817: Integrate DownSampling Filter into the CompositeFilter
T17818: [dashboard] New geometry causes errors on Mac and Windows
T17820: Enhance BatchedFolderRegistration
T17827: Make unit tests executable via ctest (without external PATH modifications)
T17832: Update CTK for improved XNAT support
T17833: SFB fixes on top of MITK 2014.03
T17836: Create Python installer
T17838: PlanarFigureInteractor invokes event StartInteractionPlanarFigureEvent although nothing is done
T17841: Ultrasound control widgets aren't updated if a control was changed by an other object
T17844: RT refactoring
T17845: RT move the visualization into a mapper
T17851: Plugin Ultrasound Support: Framerate Settings are buggy
T17860: ContourModelGLMapper2D paints below the actual mitkImage
T17864: Make Movie Maker work on Linux and Mac
T17867: Probes label is not deactivated in ultrasound plugin if no probe controls are available
T17870: Multilabelsegmentation restructuring
T17871: Enable OpenGL Quadbuffer
T17874: Remove warnings in PlaneGeometry class
T17900: Generate a basic classification module
T17903: Extend testing of ThickSlicesFilter
T17904: Error in vtkMitkThickSlicesFilter with projection mode MEAN
T17914: diffusion image deep copy
T17915: mitk::Line doesn't compile
T17916: refactor tracts to vector image filter
T17917: Make "Public software Library for UltraSound imaging research" (PLUS) available in the MITK superbuild
T17919: Make level/window interaction more senstitive
T17928: Convert diffusion image to mitk image
T17939: The changes made in bug-15777 need a little demo
T17944: OpenIGTLink support for the Ultrasound module
T17960: Image loaded from DICOM should have property containing the modality
T17962: mitkImageStatisticsCalculator returns wrong index if the value for min and max are the same
T17968: Implement mit diffusion navigator view
T17973: XML support for diffusion miniapps
T17976: DICOMITKSeriesGDCMReader sorts wrong when number of digits varies
T17986: Enable mitk::Image to contain itk::VectorImage
T17992: CppMicroServices suppress different log level
T17995: refactor mitk fiber bundle datastructure
T18013: Replace ImageVtkMapper2D routines with vtkAlgorithm based filters
T18014: write tool interaction tests for segmentation
T18015: Automated UI Testing - Checklist Measurement Module
T18024: Allow access to session of XNAT plug-in
T18025: Filtering nodes in data manager using QSortFilterProxyModel
T18052: RT plugin refactoring
T18053: DICOM Browser - RT loading integration
T18061: Implement convenience method in QmitkAbstractView for worker threads
T18071: Speed up ContourModelSetMapper3D
T18075: Replace manufacturer logo with Vtk based overlay
T18084: ImageDataItem has 4D support which leads to crashes in some filters
T18085: Enable DICOM Multi-Frame support in new DICOM-Loader
T18100: Qwt and Qxt is not optional
T18107: Fix temporary file creation
T18109: Enable loading of textures with ply surfaces
T18110: GetPixelValueByIndex can not handle vector images
T18123: Python build on Windows nighlty
T18126: SimpleITK on Mac OSX
T18138: Update Boost to version 1.56
T18146: Improve Viewnavigator documentation
T18150: Own service porperty key for class mitk::USCombinedModality
T18156: XNAT file upload via MITK
T18159: Integrate new stylesheets for MITK Doxygen
T18183: Installer Release 2014.03 crashes on first start of workbench
T18249: Make QtWidget modules compatible to Qt5
T18250: Improve movie maker
T18252: AbstractFileWriter: this->GetOutputStream can return Null pointers
T18255: Adding new statistical coefficients to mitkImageStatisticsCalculator
T18258: Make IGTUI module compatible to Qt 5
T18260: Make Build System compatible to Qt5
T18269: VolumeVisualization: Transferfunction DropDown box does not show current selection
T18271: MitkContourModel does not autoload
T18274: Using File-Open on an mitk Scene file crashes the workbench
T18279: IGT Navigation Data Player crashes while reinitializing the tool
T18286: Scene file loading still crashes (Windows, debug)
T18289: Replace old DICOMSeriesReader with the new one
T18290: Fast marching & Region Growing Seed Point migration to PointSetDataInteractor
T18305: Usuability of Statistic View: Possibility to write to CSV
T18324: View navigator category headings should be bigger
T18328: FiberfoxView: catch error messages if images that are used for the simulation have wrong pixel tipe or dimension etc.
T18352: MiniApps don't write fiber bundles anymore
T18398: Livewire works only for one contour
T18403: Apply current shown level window setting to all selected images
T18405: Wrong colormap is set for images loaded as project file
T18415: Wrong interaction scheme, when segmentation tools are activated
T18418: Set locales only for the scope of the current reader/writer
T18452: Wrong live wire widget tool tips
T18456: PointCloud-Scoring-Filter
T18458: QWebViewXNATPipelineManager
T18462: Implement GrowCut segmentation tool
T18465: SliceNavigationController selects wrong slice
T18467: Filter for clustering an UnstructuredGrid and suggesting a plane through it
T18500: Implementation of RDF Triplestore Base API for MITK
T18501: Update Qwt to 6.1.2 to be compatible to Qt 5.4
T18515: Integrate Tumor Progression mapping into MITK
T18520: Geometry CleanUp Reloaded
T18536: Add Overlay flag to render mitkOverlays on top
T18541: Create module for multilabel segmentation
T18550: Refactore mitkCoreServices
T18551: No header guards for QmitkAboutDialog
T18578: Surface 2D Mapper and Geometry (fun)
T18589: Remove deprecated and un-used interactions
T18592: Remove WiiMote Interactor
T18594: Department logo cannot be disabled
T18603: Make MITK compatible with VTK 6.2
T18604: Only first available mime type is selected when automatically writing e.g. in SceneSerialization
T18614: Remove FLApplication
T18633: add vectorgraphics export to screenshot maker
T18646: Migrate segmentation to new multilabel data structure
T18650: Diffusion MiniApps Problems for installer
T18656: Remove LegacyIO
T18661: Clone method for NavigationToolStorage
T18662: odf glyphs are not rendered if image has negative entry in direction matrix
T18667: mitk crashes if a multi component image is loaded that is recognized as binary
T18669: Improve MITK Simulation
T18672: Possible double-delete of DataNode
T18688: Memory-Leak in mitk::Surface
T18689: DICOM Plugin Documentation is not up to date
T18696: TrackingToolbox Option seperately set Render Update Rate and Logging Rate to prevent lag
T18710: Crosshair position is wrong after rotate view
T18712: hdwi file ending is used but the file is not saved with detached header
T18723: Remove GLUT
T18735: Meta analysis of Interaction/Rendering/geometries
T18740: Build python code for Biophotonics
T18744: mitkPlanarArrowTest build error on branch personal/engelm/snapshot-candidate
T18769: Dll Loading Error in Microservices using a Service in a Service
T18774: Test for 2d-3d-world point picking in mitk
T18777: LevelWindow - "Use whole image grayvalues" does not work with multi-component images properly
T18781: Logging View: Reset search filter button is missing
T18784: Level Window: No floating point values can be set
T18799: Delayed interaction due to event-loop bug in Qt5
T18824: find_package(Boost) fails on Windows
T18832: ImageStatistics is too strict in checking for misalignment
T18842: Incorrect PixelType when loading RGB/RGBA images with VTK Legacy Image reader
T18859: Interaction with SubdivisionPolygon does not work correctly
T18870: Add classification module to MITK
T18881: IGTTimeStamp is not in milliseconds
T18883: warnings interpreted as error with clang 3.6
T18905: MRI Head Normalization
T18922: Change VTK rendering backend to OpenGL2
T18937: Tutorial step 5: cannot remove points
T18941: XNAT Editor does not open right input
T18949: New BlueBerry interface: NaviApp
T18955: DICOMITKSeriesGDCMReader is not thread-safe
T19016: DICOM-Reader cannot load files with a spacing of 0
T19018: Extension of Texture Analysis Parameter
T19025: Backface surface rendering is disabled
T19026: Implement text overlay for connectomics network nodes
T19027: Check if reference spectra for multi-spectral tissue parameter estimation are correct.
T19032: improve 2D items, crosshair, corneranotations, colored frame and gradient background
T19043: Add metadata to images saved by spectrocam
T19049: Multispectral Image Analysis based on A Novel Local Descriptor
T19058: Return of nullptr in OptitrackTrackingDevice
T19068: Make US navigation software (for EchoTrack system) open source
T19069: Tracked 3D US feature for US navigation application
T19079: Move IGT Common Classes to IGT Base
T19087: Framerate change for Polaris has no effect under Windows
T19088: ClippedSurfaceBoundsCalculator does not respect border-slices correctly
T19106: Feedback contours in Interaction need to be re-implemented
T19112: Migrate IGT Navigation applications to new Geometry
T19138: Point Set lacks convenient point removal.
T19143: Erase the XNAT Editor
T19150: Levelwindow: Image for Levelwindow seems not to be selected correctly
T19153: Python tests can't be run on the dartclient on Windows
T19168: Classification based segmentation plugin with focus on intracerebral hemorrhages in CT images (experimental)
T19176: Fixing for Windows Bugs in MITK CL Miniapps
T19178: Allow VTK Polydata to be written as binary
T19188: PointSetDataInteractor does not support timesteps correctly
T19202: TumorInvasion Intergration
T19207: Linker problems with QmitkNodeDescriptor::GetClassName
T19210: Update style guide
T19228: implement ellipsoid glyphs for dti
T19237: Allow exclude list in Fiberfox UI for motion generation
T19240: PythonQt is missing generated files for Qt5.5
T19241: Fix inconsistent point representations (as spheres) in 2D and 3D
T19248: Rewrite SceneIO
T19256: Enhances SegmentationUtilities for PlanarFigure to BinaryImage
T19258: boost does not compile with gcc 4.9.2
T19260: OpenIGTLink measurements
T19274: Re-record segmentation tests
T19275: Segmentation interpolation in 2D not working (occasionally crashes)
T19291: ContourModelGLMapper2DBase causes vtkWarnings
T19302: Importing multi-component images with OpenCv does not work.
T19306: Mouse Move events during startup can cause application freeze
T19310: Add bulk retrieval to DICOM plugin
T19313: Refactor ImageTest
T19329: Reference to DataNodes is not removed when interactor is removed
T19360: Compatibility with old scene files broken (Surface line width redefined from int to float)
T19361: TPM and MiniApp Enhancements
T19371: EchoTrack Navigation Thyroid Motion Experiments
T19374: Segmentation Interpolation Pixel Shift
T19377: No callback possible for changed zoom or panning
T19381: Missing documentation and comments in mitkplanegeometry
T19389: Improve high DPI support
T19395: Integrate Plus into the MITK Superbuild structure
T19398: Move OpenIGTLink examples to IGTExamples and rename OpenIGTLink Plugin
T19402: Remove the IGT dependency of the CameraCalibration module
T19409: Update Statusbar Behaviour
T19417: Replace screenshots in MITK help (2)
T19428: Plugin org.mitk.gui.qt.dicom should use DICOMReader module
T19429: Manual seed point placement for vessel centerline computation
T19438: ITKImageIO should handle images with ArbitraryTimeGeometry
T19446: DICOM Editor: Crash when retreiving data via DICOM Q/R
T19447: Migrate Region Grower from IpPic to Image Accessors
T19454: Automatic determination of vessel end points for centerline computation
T19455: Manually delineated contour is shifted after creating plane suggestion for 3d interpolation
T19462: Missing transition while rotating and zooming planes
T19473: Incorrect time bounds with 3D+t images which only differ in TriggerTime
T19475: [Fiberfox] Review output naming for FiberFox MiniApp
T19480: Make Radiomics more stable
T19485: Add reader-configurations for 3D+t images
T19492: Serialization of NAN values within mitk::DoubleVectorProperty is inconsistent
T19493: Submit US navigation tumor measurements via HTTP requests
T19496: Multiple line measurements in US navigation plugin
T19504: Extended Testing for Global Features
T19507: DICOMITKSeriesGDCMReader is still not thread safe
T19522: Segmentation not displayed in 3d-render window
T19537: PlanarFigure annotations are misplaced when moving the figure out of the scene
T19545: Update GDCM to version 2.6.3
T19546: Update ITK to version 4.9
T19547: Update Boost to version 1.60
T19548: Update VTK to version 7.0
T19549: Support Qt 5.6 (QtWebEngine instead of QtWebKit)
T19554: Issues with PlanarCross interation
T19559: Adding the possibility to only record valid NavigationData in the NavigationDataRecorder
T19560: Move IGT Measurement Plugins to open source code
T19566: Write IO Test that identifies failing Reader / Writer combinations
T19571: QmitkDataStorageListModel broken
T19573: CameraController does not allow setting of maximum zoom-level
T19592: EquiDistantBlocksSorter lacks configuration to create new block on first mismatch
T19600: Active Learning Module & Plugin
T19602: Wrong calculated value for MPP in ExtendedLabelStatisticsImageFilter
T19608: Photoacoustic Simulations
T19609: platform project: New ImageStatistics Module
T19627: Workbench crashes during reload of scene that contains a planar figure
T19629: Create a version of msi python suited for upload on github
T19631: Axis confusion in ImageNavigator
T19632: Reinit behavior in mirrored datasets
T19677: Cannot receive Open IGTLink TDATA messages in MITK
T19679: Mac Installer does not start due to missing qt plugins
T19691: PlanarEllipse has an 'unnecessary' fourth control-point and a second PolyLine
T19697: Send event in RenderingManager if the RenderWindow focus has changed
T19699: Analyse phantoms from PAMB
T19700: Update DCMTK to latest snapshot
T19702: Update CTK (Qt 5.6 compatibilty)
T19704: [Warnings as errors] partialvolumeanalysis
T19708: Upgrade to latest d3.js and reimplement histogram with QWebEngine
T19721: removed local version of CMakeParseArguments is included in CppMicroServices
T19722: [CAI-HACKFEST] MSI integration branch
T19724: Feature processor for classification
T19729: WebInteraction Integration
T19736: Rewrite IGT and Navigation module documentation
T19750: Add OverlayManager Plugin
T19760: RT data support via reader service
T19777: Create a mini python package template to show how it can be set up.
T19778: Int cast instead of type double for the intensity values of the histogram
T19779: Create IPython notebooks to show how to do some standard python data processing.
T19783: Implement RTPlan reader
T19784: VTK 7 & Qt5.6 OpenGL Rendering conflict on OSX 10.11
T19786: Overlay Layouter concept changes
T19788: DICOM Tag scanner to read sequence tags
T19798: Refactoring of the DICOMReader module to reduce internal dependencies
T19799: DICOM readers and IDicomTagsOfInterrest service need extended "additional tag" support
T19801: MITK crashes when deleting planar figure with "Delete" key
T19802: Create GPU Implementation of Monte Carlo Simulation Framework
T19811: Add possibility to add MOC generated files as header only
T19814: Add 4D support to PlanarFigures
T19819: After an interactor has been removed from the mitk::Dispatcher it is still kept as selected interactor
T19828: Improve dynamic-analysis module
T19830: Rendering timegeometry does not match image timegeometry
T19831: Create a bunch of common and often used miniapps such as converter, 4D extractor
T19843: Multispectral imaging system calibration
T19849: Pixel Value not updated for 3D+t image
T19876: Extend the organ color mapping list
T19880: Integrate dcmqi
T19924: Machine-learning tractography fails on large datasets
T19925: Porting to OpenGL2 to Speed up Rendering
T19933: The outline of a segmentation cannot be turned off anymore
T19984: New ImageCropper Plugin Integration
T20004: OpenIGTLink connection to tracking data streams is not working
T20185: Implement Reader and Writer that saves and reads NavigationData and the correspondig Tool
T20191: Not compiling on OSX because of missing override and missing std::
T20223: MITK does not load RGB and RGBA test images
T22064: DICOM tags with hex-value can not be correctly converted
T22079: Add a DICOM Segmentation Reader and Writer
T22089: Upgrade CTK
T22113: Image navigator should show image indices after re-init
T22118: Use Qt's windeployqt.exe to deploy Qt instead of our current install rules
T22234: Node Predicate to check the geometry of the data
T22289: Optionally allow to clone as many external dependencies as possible instead of downloading their tarballs
T22342: Balloon Info text overlay hangs when selecting twice a node of a .cnf connectomics network in Connectomics statistics view -> Balloon Info.
T22402: Imagestatistics Higtogram tooltip is not updated properly when showing a line graph
T22428: Implement NN based tractography
T22450: Statistics-Plugin crashes when toggeling "use default bin size"
T22510: When loading or clicking a DTI I get "Invalid ImageAccessor: PixelTypes of Image and ImageAccessor are not equal"
T22518: ImageStatistics plugin takes focus from DataManager
T22539: Rework of RTStructReader
T22588: LPS RAS issue with fiber bundles
T22595: Stable version of navigation modules based on 2016-11 release
T22618: PCA example
T22654: Extending the Segmentation plugin with a multi-region threshold-based tool
T22661: Pivot calibration for the toolcalibration view
T22714: Integrate DICOM2NRRD Command-Line-Tool in MITK
T22750: Adapt icons to dark theme
T22774: crash because unlimited undo history
T22801: Update DicomToNRRD cmdApp to new reader system
T22810: Add a tolerance parameter to SurfaceToImageFilter
T22814: Python wrapping support for modules
T22819: Adapt C3js to make it more general
T22830: Build errors due to different pixel types
T22838: Provide Jenkinsfile for CI
T22840: RTDose is not correctly loaded and visualized
T22876: Crosshair disappears if the anatomical planes in a render window are changed
T22878: Level window slider only affects the topmost visible node in the data manager
T22912: Make tracking handler input const
T22929: Atomic operations API used in CppMicroServices are deprecated in macOS Sierra 10.12.5
T22988: Remaining issues in the DICOM Seg IO handling multi layer images
T23019: Diffusion release preparation
T23078: MITK Workbench crashes trying to create smoothed polygon
T23189: Saving large (nrrd) files is ridiculously slow due to compression
T23223: Some images already have rotated gradients
T23244: Xnat plugin: easy to use nrrd upload after DICOM import
T23248: Prepare MITK for macOS 10.13 HighSierra support
T23268: Build errors with clang 3.8.1 (Debian 9.1 "Stretch")
T23281: Change plugin icons when darktheme is on
T23293: Apply C++ 11 modernizations
T23302: Build errors in MITK Utilities
T23303: Make Python and PythonQt separate options
T23319: Rename mitk qball image to odf image
T23327: Update ITK to 4.12
T23330: replace mbilogo.h
T23339: Change default: Open DICOM data with new dicom reader
T23342: Create demo for MICCAI
T23343: Dicom editor can not load dicom segmentation objects
T23347: Change icons to new design
T23362: Load DICOM PM (Parametric Maps) in MITK
T23428: Image Statistics plugin: histogram bin size for images with small intensity differences
T23443: Basic image processing plugin: error in processing of double/float images
T23452: Diffusion DICOM reader should not load image mutliple times
T23464: Add functionality to make curves removable from chart
T23468: Display data points without connecting line in MitkChart
T23580: remove unneeded const_casts
T23624: Connection to Epiphan frame grabber via OpenCV is buggy
T23742: Implement proof of concept for new segmentation data type
T23756: Investigate use of precompiled headers
T23766: Introduce PropertyRelationsService
T23769: Implement PropertyRelationRule base class
T23807: PropertyKeyPath class
T23808: Add Rule base class for DICOM source imagereferences
T23912: histogram background color in imageStatistics plugin does not change in DarkTheme
T23971: Implement robust, easy-to-use ExtractSliceFilter
T24014: Enable warnings as errors in module IGTUI
T24037: OpenIGTLink: Improve MITK behavior when active connection to PLUS-Server is interrupted
T24046: Create a basic Python-Wrapping for MITK using SWIG
T24059: MITK-IGT Release 2018.03
T24080: Write visual debugging utilitiy for inspecting geometries
T24085: MITK make PACKAGE does not work on windows if Python is enabled
T24131: Voxel value indicator in workbench is broken
T24148: Refactor Q-ball reconstruction
T24172: In CreateSmoothedPolygon interpolation sometimes leads to inaccurate results
T24176: Point Set Interaction not working in 3d window (world point picking broken because depth buffer is empty)
T24227: Add documentation to NavigationTool and TrackingTool
T24251: Allow processing of more than one device output in MITK-US
T24263: Line width for peak and fiber mappers results in no rendering
T24271: Port tests from old mitk test macros to CPPUNIT
T24287: Support of tracked Ultrasound
T24293: Verify LocaleSwitch usage in MITK CEST
T24332: Limit MITK to python 3
T24343: Optimize dark theme colors and contrast
T24357: Rework mitkMouseModeSwitcher
T24358: Rework QmitkMouseModeSwitcher
T24368: Interaction scheme has different level of interaction
T24472: Add python based views
T24521: Remove old DicomSeriesReader
T24522: Deactivate IO Service "MITK DICOM Reader v2 (classic config)"
T24537: Remove unused global variables from mitkSlicedGeometry3D
T24541: EnumerationProperty can't be used directly nor to its full extent through deriving from it
T24545: Write templated convenience function for loading data with mitk::IOUtil
T24554: Python Wrapping does not work when wrapped classes were changed
T24561: Upgrade to VTK 8.1
T24565: 3D+t Images with very large max time step need very long to load
T24610: New Colormaps for MITK
T24631: IGT-Echotrack - Deleting Tumor crashes the application
T24635: PACS scroll leads to an infinite loop if no image is loaded
T24658: MITK application crashes on closing after using Echo track
T24675: Build fails with nvidia-opencl-dev 7.5.18-0ubuntu
T24692: Scene serialization is corrupted due to images stored with wrong locale
T24698: Diffusion style sheet adaptations
T24705: [MITK Diffusion] MITK Diffusion crashes on close
T24716: mitk::ImageDataItem::ComputeItemSize() has 4GB limit
T24734: PhotoacousticsLib Tests sometimes fail
T24767: Workbench crashes when loading two 3D+t images with different number of time steps
T24771: Add a concept documentation for the data storage inspectors and the overhaul of the selection concept
T24778: OpenIGTlink does not build in superbuild [Ubuntu 18.04]
T24779: Make MITK compatible with Visual Studio 2017 15.7
T24782: Change visible area of ultrasound Telemed
T24796: Extension of HummelProtocolEvaluation to measurement volume of new NDI 10-11 field generator
T24884: Remove excessive streamline resampling
T24886: MITK workbench freezes due to infinite loop in QmitkSliderLevelWindowWidget::paintEvent
T24893: Image Cropper handles missing in 2D (non-axes-aligned image)
T24910: Tool Axis Calibration crash
T24963: Improve transformation handling in IGT fiducial registration view
T24987: mitkFunctionGetLibrarySearchPaths is not aware of extensions
T25003: [MITK Diffusion] maximum intensity projection does not work
T25191: v2018.04-beta
T25192: Enable DICOM SEG conversion for nrrd segmentations
T25223: Add freeze method to AbstractUltrasoundTrackerDevice
T25238: Console invisible on two monitors
T25245: Add MITK_EXTENSION_DIRS to mitkConfig
T25246: DICOM Seg Refactoring
T25255: Windows dartclients do not work with python
T25262: [MITK Diffusion] remove \threadsafe from documentation
T25271: Remove numpy as separate project
T25280: Check that python version is 3.X
T25311: OpenCV 3.4.1 doesn't compile with Python 3 on Windows with VS 2017
T25420: Add openmp external project to reenable openmp for apple clang
T25424: Since cmake 3.12 FindPythonLibs is deprecated
T25425: Provide mapper functionality using CppMicroServices
T25435: time function for segmentation tasks of 2d/3d+t data
T25441: Name DataNodes with DICOM data appropriately by using dicom tags
T25442: [MITK Diffusion] Add copy to and from python for diffusion-weighted images
T25477: Add standard ICP to org.mitk.gui.qt.aicpregistration
T25478: Multiple Qt timers overload main thread in Navigation plugins
T25494: Cleanup plugin HummelProtocolMeasurements
T25520: Adding external Wavelets Module to ITK
T25535: DCMTK won't build if Anaconda is installed
T25561: Optimize imageStatisticsContainer
T25562: Rethink GetStatisticsAsOrderedVector()
T25569: Ensure correct TimeGeometry of statisticsContainer in calculator
T25604: New concept for switching between different render windows
T25605: New concept for changing the view direction of render windows
T25608: OpenCV example (view VideoPlayer, org.mitk.examples.gui.opencv) is not functional any more.
T25682: mitkBaseGeometry.cpp: Internal ITK matrix inversion error, cannot proceed.
T25709: BaseData::GetMTime wrongly/unnecessary updates timestamp of own instance
T25710: Remove IIdentifiable interface from DataNode
T25753: Some refactoring of the selection classes
T25777: View to grab stereo images
T25798: Saving segmentations as .dcm (DICOM SEG) does not work
T25804: Set 'selected' property when using the new selection concept
T25826: Update Radiomics GUI
T25832: Migrate ModelFit inspector plugin to MitkChart
T25882: Figure out why CDash submissions to CDash 2.6 servers are not browsable
T25927: Creating Annotations in fast succession assigns them the same GUIDs
T26057: Remove mitkCommandLineParser input and output types
T26168: Linux installer shell scripts error
T26252: Boost install error
T26269: [image statistics plugin] refactor to use new node selection widget
T26270: Update MatchPoint third party file
T26272: [MitkChart] warning about new registered objects
T26276: Segmentation created for multiple timepoints on 3D+t images
T26334: Include distortion correction filter
T26370: Buildconfigration mitkNavigationModules is not working
T26372: Evaluation view for needle calibration test
T26376: Segmentation plugin does not work correctly with the new mxn multi widget
T26413: Nifti2 support
T26431: Fix gcc 9 and clang 8 compilation
T26438: DCMTK disable ICU
T26467: Update CTK
T26473: Optimize QmitkChartWidget interface
T26486: PACS mouse mode does not allow scrolling with mouse wheel
T26491: [Render window manager] Node renaming is not allowed
T26495: [mxn multi widget] Not able to chose level-window presets
T26501: Patching on windows fails
T26609: US Navigation / Tracked US: CT Registration Demo
T26642: [std / mxn multi widget] Restore original StdMultiWidget interactions
T26694: [image statistics plugin] Add multithreading
T26721: Prepare Qt 5.13 compatibility
T26796: PA Beamforming writes the bf result of the first Slice in all Slices
T26840: Mission Homepage Reorganization
T26980: MITK_CREATE_MACRO should prohibit dependencies against autoload modules
T27003: Extend representation object handling in NavigationDataObjectVisualizationFilter

Event Timeline

kislinsk triaged this task as Wishlist priority.Jan 25 2020, 9:00 PM
kislinsk created this task.
kislinsk added subscribers: laha, hempe, waibel and 5 others.EditedJan 25 2020, 9:30 PM

Unmerged topic branches referencing 404 tasks

Extracted from the huge list above.

  • 2011-02-24 T6987 bug-6987-levelWindow-interaction-switch
  • 2013-04-11 T14874 bug-14874-dark-theme-coreapp
  • 2013-10-24 T16330 bug-16330-planarcircle-correction-integration-snapshot-201308

Unmerged topic branches referencing restricted tasks

Extracted from the huge list above. Last committer added.

  • 2016-08-25 T19850 @kalali T19850-Patient-view-plugin
  • 2016-09-08 T19937 @groehl T19937-TissueVolumeCustomization
  • 2016-09-14 T19938 @groehl T19938-ProbeDesignXmlSchema
  • 2016-11-18 T19850 @kalali T19850-Patient-view-integration-final
  • 2016-12-08 T22224 @kalali T22224-Render-window-controller
  • 2016-12-22 T22223 @kalali T22223-view-management-for-render-windows
  • 2017-02-16 T22223 @kalali T22223-View-management-for-render-windows-final
  • 2017-04-06 T22340 @groehl T22340-SpectralUnmixingTest
  • 2017-05-24 T22346 @kleina T22346-point-set-tool-and-region-growing
  • 2017-06-13 T22743 @waibel T22743-AcousticInverseProblem
  • 2017-07-27 T23077 @hempe T23077-ProjectShapeComparison
  • 2017-08-15 T23070 @laha T23070-InitialPhotoacousticArtifactsPlugin
  • 2018-01-23 T23597 @laha T23597-PhotoacousticArtifactsSimpleSVD
  • 2018-03-29 T23077 @hempe T23077-ProjectShapeComparison2
  • 2018-12-21 T25772 @kleina T25772-bone-seg-in-mitk
  • 2019-01-23 T25906 @debusc T25906-T1MappingWidgets
  • 2019-02-15 T25019 @groehl T25019-PAOxygenationEstimationViaUnmixing
  • 2019-02-22 T25776 @kalali T25776-Semantic-relations-lesion-propagation
  • 2019-05-07 T25772 @kleina T25772-integrate-bone-seg-in-mitk
  • 2019-06-17 T25767 @kalali T25767-BlackSwan-release
  • 2019-07-04 T25991 @kalali T25991-Update-semantic-relations-test
  • 2019-07-23 T26504 @kleina T26504-progress-bar-bone-seg
  • 2019-08-22 T26638 @kalali T26638-Correctly-re-initialize-render-windows
  • 2019-09-03 T26476 @kalali T26476-Changes-introduced-by-new-version
kislinsk added a comment.EditedJan 25 2020, 9:41 PM

Unmerged branches that do not match releases/, tags/, personal/, Txxx-, or bug-xxx-

  • 0.10.0
  • 0.12.0
  • 0.12.2
  • 0.14
  • 0.7.2
  • 0.7.4
  • 0.8.0
  • 0.9.2
  • 0.9.4
  • 0.9.6
  • 0.99.1
  • 0.99.3
  • 3M-2
  • 3M-3
  • 3M-3_1
  • EduTool-1.1
  • EduTool-1.2
  • EduTool-1.3
  • IGT-0.1
  • IPPIC64
  • MITK-0-4
  • MITK-0-6
  • ReLiver-M2
  • ReLiver-M4
  • ReLiver-M6
  • ReLiver-M7
  • Rochester-20080923-M7+
  • WolfRC1
  • iit-liver-chirurgie-hd
  • mitk-qt3
  • python-wrapping
  • rsna2008

Unmerged branches in origin/tags/

  • 0.10.0
  • 0.12.0
  • 0.7.2
  • 0.7.4
  • 0.8.0
  • 0.9.2
  • 0.9.4
  • 0.9.6
  • 3M-3-1.0
  • ReLiver-M2
  • ReLiver-M4
  • ReLiver-M6
  • iit-liver-chirurgie-hd-2010-03-15
  • lkvol-miccai2007
  • 2018-12-19 T25788 @floca T25788-Generic_signal_image_generator
  • 2018-12-19 T25789 @floca T25789-Update_error_single_selection_widget

are corrected.

kislinsk added a comment.EditedWed, Jan 29, 2:43 PM

I'm creating a more detailed list of unmerged remote branches in CSV format with the following script:

#!/usr/bin/env bash
FILTER="origin/*"
FILE="output.csv"

echo "Branch,Commits,Last commit date,Last committer,Files changed,Insertions,Deletions" > "$FILE"
iterations=$(git branch --all --list "$FILTER" --no-merged | wc -l)
i=1
git branch --all --list "$FILTER" --no-merged | while read -r branch ; do
  branch=${branch#"remotes/"}
  shortstat=$(git diff --shortstat "HEAD...$branch")
  files_changed=0
  insertions=0
  deletions=0
  if [[ $shortstat =~ ([0-9]+)\ files\ changed ]]; then
    files_changed=${BASH_REMATCH[1]}
  fi
  if [[ $shortstat =~ ([0-9]+)\ insertions ]]; then
    insertions=${BASH_REMATCH[1]}
  fi
  if [[ $shortstat =~ ([0-9]+)\ deletions ]]; then
    deletions=${BASH_REMATCH[1]}
  fi
  commits=$(git rev-list --count "$branch" ^origin/master)
  last_commit_date=$(git show --date=short --format="%cd" "$branch" | head -n 1)
  last_committer=$(git show --format="%cn" "$branch" | head -n 1)
  line="$branch,$commits,$last_commit_date,$last_committer,$files_changed,$insertions,$deletions"
  echo "($i/$iterations) $line"
  ((i++))
  echo "$line" >> "$FILE"
done
kislinsk updated the task description. (Show Details)Fri, Feb 14, 6:29 AM